Package org.gradle.nativeplatform.platform

# Interface OperatingSystem

All Superinterfaces:
  `Named`

public interface OperatingSystem extends Named
A machine operating system.

Values
Operating System | Aliases
--- | ---
Windows | "windows"
GNU/Linux | "linux"
MacOS | "osx", "mac os x", "darwin"
Solaris | "solaris", "sunos"

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns a human-consumable display name for this operating system.
  `String`
  `getName()`
  The object's name.
  `boolean`
  `isCurrent()`
  Is this the current OS?
  `boolean`
  `isFreeBSD()`
  Is it FreeBSD?
  `boolean`
  `isLinux()`
  Is it Linux?
  `boolean`
  `isMacOsX()`
  Is it macOS?
  `boolean`
  `isSolaris()`
  Is it Solaris?
  `boolean`
  `isWindows()`
  Is it Windows?

- ## Method Details

  - ### getName

    @Input String getName()
    Description copied from interface: `Named`
    The object's name.

    Must be constant for the life of the object.

    Specified by:
      `getName` in interface `Named`
    Returns:
      The name. Never null.

  - ### getDisplayName

    @Internal String getDisplayName()
    Returns a human-consumable display name for this operating system.

  - ### isCurrent

    @Internal boolean isCurrent()
    Is this the current OS?

  - ### isWindows

    @Internal boolean isWindows()
    Is it Windows?

  - ### isMacOsX

    @Internal boolean isMacOsX()
    Is it macOS?

  - ### isLinux

    @Internal boolean isLinux()
    Is it Linux?

  - ### isSolaris

    @Internal boolean isSolaris()
    Is it Solaris?

  - ### isFreeBSD

    @Internal boolean isFreeBSD()
    Is it FreeBSD?